unit AutoTerminate;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmAutoTerminate = class(TForm)
    RadioGroup1: TRadioGroup;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAutoTerminate: TfrmAutoTerminate;

implementation

uses DatGPro;

{$R *.DFM}

procedure TfrmAutoTerminate.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmAutoTerminate.FormShow(Sender: TObject);
begin
  If (DmGpro.cdsDBOptionSetting.FieldByName('AutoTerminate').AsString = 'ON') then
    RadioGroup1.ItemIndex := 0
  Else
    RadioGroup1.ItemIndex := 1;
end;

procedure TfrmAutoTerminate.btnOKClick(Sender: TObject);
begin
  DmGpro.cdsDBOptionSetting.Edit;
  If (RadioGroup1.ItemIndex = 0) then
    DmGpro.cdsDBOptionSetting.FieldByName('AutoTerminate').AsString := 'ON';

  If (RadioGroup1.ItemIndex = 1) then
    DmGpro.cdsDBOptionSetting.FieldByName('AutoTerminate').AsString := 'OFF';

  DmGpro.cdsDBOptionSetting.Post;
end;

end.
