unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Validate;

type
  TfrmMain = class(TForm)
    btnAbout: TButton;
    btnExit: TButton;
    GroupBox1: TGroupBox;
    lbUserID: TLabel;
    lbEncodeUserID: TLabel;
    edtUserID: TEdit;
    edtEncodeUserID: TEdit;
    GroupBox2: TGroupBox;
    lbPassword: TLabel;
    edtPassword: TEdit;
    edtEncodePassword: TEdit;
    lbEncodePassword: TLabel;
    procedure btnExitClick(Sender: TObject);
    procedure edtPasswordChange(Sender: TObject);
    procedure edtUserIDChange(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses AboutBox;

{$R *.DFM}

procedure TfrmMain.btnExitClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.edtPasswordChange(Sender: TObject);
begin
  If (Trim(edtPassword.Text) <> '') then
    edtEncodePassword.Text := FEncode(Trim(edtPassword.Text));
end;

procedure TfrmMain.edtUserIDChange(Sender: TObject);
begin
  If (Trim(edtUserID.Text) <> '') then 
    edtEncodeUserID.Text := FEncode(Trim(edtUserID.Text));
end;

procedure TfrmMain.btnAboutClick(Sender: TObject);
begin
  Try
    frmAboutBox := TfrmAboutBox.Create(Application);
    frmAboutBox.ShowModal;
  Finally
    frmAboutBox.Release;
  End;
end;

end.
